# Class HtsjdkIOException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
htsjdk.beta.exception.HtsjdkException
htsjdk.beta.exception.HtsjdkIOException

All Implemented Interfaces:
  `Serializable`

public class HtsjdkIOException extends HtsjdkException
A RuntimeException-derived class for propagating IOExceptions caught and rethrown by the plugin framework.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`HtsjdkIOException(String message)`
Construct an HtsjdkIOException.
`HtsjdkIOException(String message, Throwable cause)`
Construct an HtsjdkIOException exception with a specified cause.
`HtsjdkIOException(Throwable cause)`
Constructs an HtsjdkIOException exception with a message constructed from the cause.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HtsjdkIOException

public HtsjdkIOException(String message)
Construct an HtsjdkIOException.

Parameters:
  `message` - detailed message.

### HtsjdkIOException

public HtsjdkIOException(String message, Throwable cause)
Construct an HtsjdkIOException exception with a specified cause.

Parameters:
  `message` - detailed message.
  `cause` - cause of the exception.

### HtsjdkIOException

public HtsjdkIOException(Throwable cause)
Constructs an HtsjdkIOException exception with a message constructed from the cause.

Parameters:
  `cause` - cause of the exception.